Bug 1212386 - (CVE-2015-3306) CVE-2015-3306 proftpd: unauthenticated copying of files via SITE CPFR/CPTO allowed by mod_copy
CVE-2015-3306 proftpd: unauthenticated copying of files via SITE CPFR/CPTO al...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.proftpd.org/show_bug.cgi?...
impact=important,public=20150407,repo...
: Security
Depends On: 1212388 1212389
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-16 06:08 EDT by Vasyl Kaigorodov
Modified: 2015-06-11 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2015-04-16 06:08:22 EDT
Vadim Melihow reported a critical issue with proftpd installations that use the
mod_copy module's SITE CPFR/SITE CPTO commands; mod_copy allows these commands
to be used by *unauthenticated clients*:

http://bugs.proftpd.org/show_bug.cgi?id=4169

Upstream fix: https://github.com/proftpd/proftpd/pull/109
Comment 1 Vasyl Kaigorodov 2015-04-16 06:10:09 EDT
Created proftpd tracking bugs for this issue:

Affects: fedora-all [bug 1212388]
Affects: epel-all [bug 1212389]
Comment 2 Fedora Update System 2015-05-03 13:25:05 EDT
proftpd-1.3.5-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-05-03 13:25:12 EDT
proftpd-1.3.4e-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-05-10 19:49:36 EDT
proftpd-1.3.5-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-05-14 02:29:52 EDT
proftpd-1.3.5-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Paul Howarth 2015-05-14 04:14:26 EDT
Issue now addressed where necessary in all current Fedora and EPEL releases.
Comment 7 Carl Thompson 2015-06-11 12:48:18 EDT
Is RHEL 6 not considered a current release?

I see updates for fedora 20-22 and epel 7 but nothing on epel 6
Comment 8 Paul Howarth 2015-06-11 13:25:51 EDT
(In reply to Carl Thompson from comment #7)
> Is RHEL 6 not considered a current release?

It is, but as mentioned in Bug #1212389, EPEL-5 and EPEL-6 have an older version of proftpd that did not ship with mod_copy, and are hence not affected by this issue.

Note You need to log in before you can comment on or make changes to this bug.